Home

# Class goog.date.UtcDateTime

Class representing a date/time in GMT+0 time zone, without daylight saving. Defaults to current date and time if none is specified. The get... and the getUTC... methods are equivalent.

extends goog.date.DateTime

Instance Method Summary
| `add(?goog.date.Interval interval)` Performs date calculation by adding the supplied interval to the date.
| `clone() ⇒ ?goog.date.UtcDateTime` Clones the UtcDateTime object.
| `getTimezoneOffset() ⇒ number` Returns timezone offset. The timezone offset is the delta in minutes between UTC and your local time. E.g., UTC+10 returns -600. Daylight savings time prevents this value from being constant.

Static Method Summary
| `fromIsoString(string formatted) ⇒ ?goog.date.UtcDateTime` Creates a DateTime from a UTC datetime string expressed in ISO 8601 format.